import java.awt.event.*;
import java.awt.*;
import java.io.*;
import javax.swing.*;

/**
 * Clase MenuRobotPuerto
 * Permite modificar el parametro "puerto" de transmision de datos.
 * 
 * @author Patricio A. Castillo Pizarro - Eric C. Maldonado Olguin
 * @version 1.0 - Jun 25th, 2007
 */
class MenuRobotPuerto implements ActionListener
{
    private EditorPanel panel;
    
    /**
     * Constructor.
     * @param p Panel en que se encuentra el programa grafico a compilar
     */
    public MenuRobotPuerto(EditorPanel p)
    {
        panel = p;
    }
    
    public void actionPerformed(ActionEvent e) {
        panel.puerto = e.getActionCommand();
    }
}
//Fin clase MenuRobotPuerto
