import java.awt.event.*;
import java.awt.*;
import java.io.*;
import javax.swing.*;

/**
 * Clase MenuRobotTipo
 * Permite modificar el parametro "tipo de robot".
 * @author Patricio A. Castillo Pizarro - Eric C. Maldonado Olguin
 * @version 1.0 - Jun 25th, 2007
 */
class MenuRobotTipo implements ActionListener
{
    private EditorPanel panel;
    
    /**
     * Constructor.
     * @param p Panel en que se encuentra el programa grafico a compilar
     */
    public MenuRobotTipo(EditorPanel p)
    {
        panel = p;
    }
    
    public void actionPerformed(ActionEvent e) {
        panel.tipo = e.getActionCommand();
    }
}
//Fin clase MenuRobotTipo
