import java.awt.*;
import java.io.*;
import javax.swing.*;
import java.util.jar.*;
import java.util.zip.*;

/**
 * Clase EditorFrame
 * Marco que contiene el panel donde se dibuja el circuito y el menu donde se encuentran las opciones.
 * @author Patricio A. Castillo Pizarro - Eric C. Maldonado Olguin
 * @version 1.2 - May 18th, 2007
 */
public class EditorFrame extends JFrame
{
    /**
     * Constructor de Clase
     */
    public EditorFrame()
    {
        setTitle("LEGO Java Event Programming");
        setSize(1024,768);
        String icon = new String("rcx.gif");
        try {
            String path = new File(".").getCanonicalPath();
            String sls = new String(System.getProperty("file.separator"));
            icon = path + sls + icon;
        } catch (IOException e) {
            e.printStackTrace();
        }
        setIconImage(Toolkit.getDefaultToolkit().getImage(icon));
        //EditorPanel panel = new EditorPanel();
       // JMenuBar menu = new EditorMenuBar(panel);
       // setJMenuBar(menu);
       // add(panel);
        JEPdividedPanel newContentPane = new JEPdividedPanel();
       // newContentPane.setOpaque(true); //content panes must be opaque
        setContentPane(newContentPane);
    }
}
//Fin clase EditorFrame
